require File.dirname(__FILE__) + '/../test_helper'

class CategoryTest < Test::Unit::TestCase
  fixtures :widgets, :categories

  def test_parent
    assert_nil categories(:root).parent
    assert_equal categories(:root), categories(:child_1).parent
    assert_equal categories(:child_1), categories(:sub_child_1).parent
  end

  def test_children
    assert_equal [ categories(:child_1) ], categories(:root).children
    assert_equal [ categories(:sub_child_1) ], categories(:child_1).children
    assert_equal [], categories(:sub_child_1).children
  end

  def test_widget
    assert_equal widgets(:one), categories(:root).widget
    assert_nil categories(:sub_child_1).widget
  end

  def test_any_widget
    assert_equal Widget.find_with_deleted(2), categories(:sub_child_1).any_widget
  end
end
